LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
InvocationAdapterFactory Service Referencepublished

Provides functionality to create an adapter that supports (a) special interface type(s) and maps calls to the interface's methods to an invocation interface. More...

`import"InvocationAdapterFactory.idl";`

Inheritance diagram for InvocationAdapterFactory:

## Additional Inherited Members
Public Member Functions inherited from XInvocationAdapterFactory2
com::sun::star::uno::XInterface | createAdapter ([in] XInvocation Invocation, [in] sequence< type > aTypes)
| Creates an adapter interface of given types for calling the given XInvocation interface. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Provides functionality to create an adapter that supports (a) special interface type(s) and maps calls to the interface's methods to an invocation interface.

An adapter like this allows generic dispatch interfaces to meet interface requirements, e.g. if a specific listener interface has to be passed to an add...Listener method.

The adapter has to support com::sun::star::script::XInvocationAdapterFactory. The adapter may also support com::sun::star::script::XInvocationAdapterFactory2.

Developers Guide
  AdvUNO - UNO Reflection API

The documentation for this service was generated from the following file:

- com/sun/star/script/InvocationAdapterFactory.idl